Package opennlp.tools.util.normalizer

# Record Class EmojiAnnotation.Value

java.lang.Object
java.lang.Record
opennlp.tools.util.normalizer.EmojiAnnotation.Value

Record Components:
  `value` - The attribute value. Must not be `null` or empty.
  `source` - The provenance tag, for example `CLDR:annotation`, `UCD:emoji-test`, or `UNSPECIFIED` (the explicit marker for a project judgment). Must not be `null` or empty.
  `notes` - Free-text notes, for example the upstream subgroup a value was derived from. Must not be `null`; may be empty.

Enclosing class:
  `EmojiAnnotation`

public static record EmojiAnnotation.Value(String value, String source, String notes) extends Record
One attribute value with its provenance, mirroring one row of the bundled data file.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Value(String value, String source, String notes)`
  Creates an instance of a `Value` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `notes()`
  Returns the value of the `notes` record component.
  `String`
  `source()`
  Returns the value of the `source` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Value

    public Value(String value, String source, String notes)
    Creates an instance of a `Value` record class.
    Parameters:
      `value` - the value for the `value` record component
      `source` - the value for the `source` record component
      `notes` - the value for the `notes` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component

  - ### source

    public String source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component

  - ### notes

    public String notes()
    Returns the value of the `notes` record component.
    Returns:
      the value of the `notes` record component